/* ============================================================
 * File  : frame_bk_lm.cpp
 * Author: Stephane Gibault
 * Date  : Sun Feb 4 2007
 * Description :
 *
 * 
 *  (C) 2007 by Stephane Gibault
 *
 * This program is free software; you can redistribute it
 * and/or modify it under the terms of the GNU General
 * Public License as published by the Free Software Foundation;
 * either version 2, or (at your option)
 * any later version.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * ============================================================ */
#include <QtGui>
#include "frame_bk_lm.h"

frame_bk_lm::frame_bk_lm ( QWidget * parent )
    : QFrame(parent)
{
	this->setAttribute(Qt::WA_DeleteOnClose);
}

// ********************************
// *** DESSIN DU FOND DU WIDGET ***
// ********************************

void frame_bk_lm::paintEvent(QPaintEvent *)
{
	QPainter p;
	p.begin(this);
	p.setPen(Qt::NoPen);
	p.setRenderHint(QPainter::Antialiasing,true);

	QLinearGradient GradientS(this->width()-5.0,0.0,this->width(),0.0);
	GradientS.setColorAt(0.0, QColor(0,0,0,100));
	GradientS.setColorAt(1.0, QColor(0,0,0,0));

	p.setBrush(GradientS);
	p.drawRect(this->width()-5,0,5,this->height());

	QLinearGradient Gradient(0.0,0.0,0.0,this->height());
	Gradient.setColorAt(0.0, QColor(244,244,241,240));
	Gradient.setColorAt(0.3, QColor(244,244,241,240));
	Gradient.setColorAt(1.0, QColor(244,244,241,140));
	p.setBrush(QColor(171,164,154,200));
	p.drawRect(0, 0, this->width()-5, this->height());

	p.end();
}

